> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workspace

> Update a workspace name.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.en.json PATCH /v1/public/accounts/{account_id}/workspaces/{workspace_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces/{workspace_id}:
    patch:
      tags:
        - public-accounts
        - public-workspaces
      summary: Update Workspace
      description: Update a workspace name.
      operationId: >-
        update_public_workspace_v1_public_accounts__account_id__workspaces__workspace_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceRequest:
      description: Request schema for creating or updating a workspace.
      properties:
        name:
          description: Workspace display name
          maxLength: 255
          minLength: 1
          title: Name
          type: string
      required:
        - name
      title: WorkspaceRequest
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: Account UUID that owns the workspace
          format: uuid
          title: Account Id
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Workspace creation timestamp
          title: Created At
        id:
          description: Workspace UUID
          format: uuid
          title: Id
          type: string
        name:
          description: Workspace display name
          title: Name
          type: string
        status:
          default: active
          description: Workspace lifecycle status
          title: Status
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Workspace last update timestamp
          title: Updated At
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````